Package com.sun.jna.platform.win32

## Class WinNT.ACL

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.ACL

Enclosing interface:
  WinNT

    @FieldOrder({"AclRevision","Sbz1","AclSize","AceCount","Sbz2"})
    public static class WinNT.ACL
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`short` `AceCount`
`byte` `AclRevision`
`short` `AclSize`
`static int` `MAX_ACL_SIZE`
`byte` `Sbz1`
`short` `Sbz2`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`ACL()`
`ACL​(int size)`
`ACL​(Pointer pointer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WinNT.ACE_HEADER[]` `getACEs()` Extract the contained ACEs from the ACL.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MAX_ACL_SIZE

    public static int MAX_ACL_SIZE

#### AclRevision

    public byte AclRevision

#### Sbz1

    public byte Sbz1

#### AclSize

    public short AclSize

#### AceCount

    public short AceCount

#### Sbz2

    public short Sbz2

### Constructor Detail

#### ACL

    public ACL()

#### ACL

    public ACL​(int size)

#### ACL

    public ACL​(Pointer pointer)

### Method Detail

#### getACEs

    public WinNT.ACE_HEADER[] getACEs()

Extract the contained ACEs from the ACL.

ACE types as decoded to their native JNA counterparts. ACE types, that are currently unsupported by JNA are returned as `WinNT.ACE_HEADER` objects.

Returns:
  array holding the contained ACEs